Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 419165 - media-video/vdr-1.6.0_p2-r10 fails with gcc-4.7
Summary: media-video/vdr-1.6.0_p2-r10 fails with gcc-4.7
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo VDR Project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.7
  Show dependency tree
 
Reported: 2012-06-01 22:59 UTC by SpanKY
Modified: 2012-06-10 16:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (media-video:vdr-1.6.0_p2-r10:20120601-225814.log,5.28 KB, text/plain)
2012-06-01 22:59 UTC, SpanKY
Details
emerge --info vdr (emerge-info.log,22.91 KB, text/plain)
2012-06-01 23:00 UTC, SpanKY
Details
fix building with gcc-4.7 (vdr-1.6.0-gcc47.patch,438 bytes, patch)
2012-06-07 21:54 UTC, Kacper Kowalik (Xarthisius) (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description SpanKY gentoo-dev 2012-06-01 22:59:29 UTC
Created attachment 313891 [details]
build.log

i also notice the code executes `g++` instead of `${CHOST}-g++` ...

g++ -O2 -march=amdfam10 -pipe -g -c -DCONFDIR=\"/etc/vdr\" -DUSE_ATSC -DUSE_CHANNELSCAN -DUSE_PLUGINMISSING -DREMOTE_KBD -DLIRC_DEVICE=\"/dev/lircd\" -DRCU_DEVICE=\"/dev/ttyS1\" -D_GNU_SOURCE -DVIDEODIR=\"/var/vdr/video\" -DCONFDIR=\"/etc/vdr\" -DPLUGINDIR=\"/usr/lib64/vdr/plugins\" -DLOCDIR=\"/usr/share/locale\" -I/usr/include/freetype2 -I/usr/include channels.c
In file included from channels.h:13:0,
                 from channels.c:10:
config.h: In instantiation of ‘bool cConfig<T>::Load(const char*, bool, bool) [with T = cChannel]’:
channels.c:903:26:   required from here
config.h:132:23: error: ‘Add’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
config.h:132:23: note: declarations in dependent base ‘cListBase’ are not found by unqualified lookup
config.h:132:23: note: use ‘this->Add’ instead
make: *** [channels.o] Error 1
Comment 1 SpanKY gentoo-dev 2012-06-01 23:00:31 UTC
Created attachment 313893 [details]
emerge --info vdr
Comment 2 Joerg Bornkessel gentoo-dev 2012-06-03 13:57:16 UTC
fixde 
code executes `g++` instead of `${CHOST}-g++`
issues,

dont have gcc-4.7.x yet to test/fix the gcc-4.7 issues
Comment 3 Kacper Kowalik (Xarthisius) (RETIRED) gentoo-dev 2012-06-07 21:54:41 UTC
Created attachment 314615 [details, diff]
fix building with gcc-4.7
Comment 4 Joerg Bornkessel gentoo-dev 2012-06-10 16:01:09 UTC
fixed, closed...